package com.huaxu.client;

import com.huaxu.config.FeignConfig;
import com.huaxu.entity.OperateLogEntity;
import com.huaxu.entity.Org;
import com.huaxu.model.AjaxMessage;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.List;

/**
 * @description 服务调用
 * @auto wangli
 * @data 2020-11-16 15:46
 */
@FeignClient(value = "user-center",configuration={FeignConfig.class})
public interface UserCenterClient {

    /**
     * 日志保存（仅设备增删改）
     * @param operateLogEntity
     * @return
     */
    @PostMapping("/operateLog/insert")
    AjaxMessage<Integer> insert(OperateLogEntity operateLogEntity);
    @PostMapping("/org/getAllByTenantId")
    List<Org> getAllByTenantId();

    @PostMapping("/user/findUserIdsByPermissonOrg")
    List<Integer> findUserIdsByPermissonOrg(@RequestParam("tenantId")String tenantId, @RequestParam("companyOrgId")Integer companyOrgId, @RequestParam("deptOrgId")Integer deptOrgId);
}
