package com.huaxu.common;

import cn.hutool.crypto.asymmetric.Sign;

import javax.script.ScriptEngine;
import javax.script.ScriptEngineManager;
import javax.script.ScriptException;
import java.math.BigDecimal;

/**
 * @description
 * @auto wangli
 * @data 2020-11-19 8:35
 */
public class CalcUtil {

    private static ScriptEngineManager scriptEngineManager = new ScriptEngineManager();
    private static ScriptEngine scriptEngine = scriptEngineManager.getEngineByName("nashorn");
//        String expression = "10 * 2 + 6 / (3 - 1)";
//        String expression = "1>2";

    /**
     * 调用js方法执行表达式
     * @param expression
     */
    public static String executeExpression(String expression) throws ScriptException {

        return String.valueOf(scriptEngine.eval(expression));
    }

    /**
     * 根据比较符号返回结果 （ >、≥、<、≤、=、≠ ）
     * 比较规则  param1  （sign）  param2
     * 参数为 null 则默认为 0，符号不存在或为空则返回 false
     * @param param1
     * @param param2
     * @return
     */
    public static Boolean compareBySign(Double param1 , Double param2 , String sign){
           int result = new BigDecimal( param1 != null?param1 :0 ).compareTo(new BigDecimal(param2 != null?param2 :0 ));
        switch (sign){
            case ">": return result == 1;
            case "≥": return result != -1;
            case "<": return result == -1;
            case "≤": return result != 1;
            case "=": return result == 0;
            case "≠": return result != 0;
        }
        return false;
    }

    public static void main(String[] args) throws ScriptException{
       System.out.println( CalcUtil.compareBySign(null ,2.0,">"));
    }


}
