package com.huaxu.dao;

import com.huaxu.dto.*;
import com.huaxu.entity.DayReportEntity;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

/**
 * sms_day_reportDAO接口
 *
 * @author: WYY
 * @date 2020-12-03 16:20
 */
@Mapper
public interface DayReportMapper extends BaseMapper<DayReportEntity> {

    /**
     * 自定义分页查询
     *
     * @param page
     * @param dayReportEntity 实体类
     */
    Page<ReportDto> findPage(IPage<ReportDto> page,
                             @Param("dayReport") DayReportEntity dayReportEntity);

    DayReportEntity findDayReportById(Serializable id);


    List<DayReportEntity> findList(DayReportEntity dayReportEntity);

    List<ReportAttributeDto> findAttributeList(@Param("report") ReportDto reportDto);

    List<ReportDto> findReport(@Param("report") ReportDto item);

    Page<DevicePressReportAttributeDto> findDevicePressPage(IPage<DevicePressReportAttributeDto> page, @Param("dayReport") DayReportEntity dayReportEntity);

    Page<DeviceWaterReportAttributeDto> findDeviceWaterPage(IPage<DeviceWaterReportAttributeDto> page, @Param("dayReport") DayReportEntity dayReportEntity);

    List<DayReportEntity> findDeviceLastDayValue(@Param("dayReport") DayReportEntity dayReportEntity);
    /**删除相关方法  使用mybatis-plus集成的 **/
}
