package com.huaxu.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.huaxu.common.converter.Double1Serializer;
import com.huaxu.common.converter.Double3Serializer;
import com.huaxu.model.ProgramItem;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @description
 * @auto yjy
 * @data 2021-1-4
 */
@ApiModel("从水源地到水龙头汇总数据")
@Data
public class DispatchSummaryDto {
    private static final long serialVersionUID = -3866226693931624972L;

    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty("总制水量")
    private Double yieldWaterUsage;

    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty("总取水量")
    private Double intakeWaterUsage;

    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty("总能耗")
    private Double powerUsage;

    @JsonSerialize(using = Double1Serializer.class)
    @ApiModelProperty("压力合格率")
    private Double presQualifiedRate;

   @JsonSerialize(using = Double1Serializer.class)
    @ApiModelProperty("水质合格率")
    private Double waterQualifiedRate;

    @JsonSerialize(using = Double3Serializer.class)
    @ApiModelProperty("已完成计划量")
    private Double invNameRate;

}
