package com.huaxu.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.huaxu.common.Object6Serialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

@Data
@ApiModel("报表参数列表")
public class ReportAttributeDto implements Serializable {
    private static final long serialVersionUID = 4074399088580570408L;
    /**
     * 设备属性名称
     */
    @ApiModelProperty("设备属性名称")
    private String attributeName;
    /**
     * 设备属性类型
     */
    @ApiModelProperty("设备属性类型")
    @JsonIgnore
    private Integer attributeType;
    /**
     * 最小值
     */
    @ApiModelProperty(value = "最小值")
    @JsonSerialize(using = Object6Serialize.class)
    private Double minValue;
    /**
     * 最大值
     */
    @ApiModelProperty(value = "最大值")
    @JsonSerialize(using = Object6Serialize.class)
    private Double maxValue;
    /**
     * 平均值
     */
    @ApiModelProperty(value = "平均值")
    @JsonSerialize(using = Object6Serialize.class)
    private Double avgValue;
    /**
     * 合计值
     */
    @ApiModelProperty(value = "合计值")
    @JsonSerialize(using = Object6Serialize.class)
    private Double sumValue;
    /**
     * 最新值
     */
    @ApiModelProperty(value = "最新值")
    @JsonSerialize(using = Object6Serialize.class)
    private Double latestValue;
}
