package com.huaxu.dto.generalView;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.huaxu.util.jsonSerializer.BigDecimalJsonSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDate;

/**
 * @description 供水
 * @auto wangli
 * @data 2020/12/31 14:05
 */
@Data
@Api("供水")
public class DeviceWaterSupply implements Serializable {
    private static final long serialVersionUID = 3472349298203388378L;

    @ApiModelProperty("序号")
    private Integer orderNo;
    @ApiModelProperty("年")
    private Integer year;
    @ApiModelProperty("月")
    private Integer month;
    @ApiModelProperty("日")
    private Integer day;
    @ApiModelProperty("量")
    @JsonSerialize(using = BigDecimalJsonSerializer.class)
    private BigDecimal amount = BigDecimal.ZERO;
    @ApiModelProperty("日期")
    private LocalDate date;


}
