package com.huaxu.entity;

import com.baomidou.mybatisplus.annotation.*;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * sms_monitor_info
 * @author: WYY
 * @date 2020-12-02 09:29
 */
@Data
@TableName("sms_monitor_info")
public class MonitorInfoEntity{

    private static final long serialVersionUID = 1L;

    /** 主键 */ 
	@TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "主键")
    private Long id;

    /** 租户标识 */
    @ApiModelProperty(value = "租户标识")
    @JsonIgnore
    private String tenantId;

    /** 场景信息 */
    @ApiModelProperty(value = "场景信息")
    private Long sceneId;

    /** 设备信息 */
    @ApiModelProperty(value = "设备信息")
    private Long deviceId;

    /** 设备信息 */
    @ApiModelProperty(value = "设备编号")
    @JsonIgnore
    @TableField(exist = false)
    private String deviceCode;

    /** 设备属性 */
    @ApiModelProperty(value = "设备属性")
    private Long attributeId;

    /** 标签名称 */
    @ApiModelProperty(value = "标签名称(名称或场景ID)")
    private String monitorName;

    /** 图片类型 */
    @ApiModelProperty(value = "图片类型(0鸟瞰图1工艺图)")
    private Integer imageType;

    /** 标签类型 */
    @ApiModelProperty(value = "标签类型(0标签 1普通标记 2跳转标记)")
    private Long monitorType;

    /** 标签值 */
    @ApiModelProperty(value = "标签值(注:标签的实时数据不用保存)")
    @TableField(exist = false)
    private String monitorValue;

    /** 标签值 */
    @ApiModelProperty(value = "调转场景信息")
    private Long monitorSceneId;

    /** 位置左 */
    @ApiModelProperty(value = "位置左")
    private Double pointLeft;

    /** 位置上 */
    @ApiModelProperty(value = "位置上")
    private Double pointTop;

    /** 坐标X */
    @ApiModelProperty(value = "坐标X")
    private Double pointX;

    /** 坐标Y */
    @ApiModelProperty(value = "坐标Y")
    private Double pointY;

    /** 排序 */
    @ApiModelProperty(value = "排序")
    private Long seq;

    /** 是否报警 */
    @ApiModelProperty(value = "是否报警(0不报警1报警)")
    @TableField(exist = false)
    private Integer isAlarm;

    @ApiModelProperty(value = "数据删除标识")
    @TableLogic
    @JsonIgnore
    private Integer status;

    @JsonIgnore
    private Date dateCreate;

    @ApiModelProperty(value = "创建人")
    @JsonIgnore
    private String createBy;

    @JsonIgnore
    private Date dateUpdate;

    @ApiModelProperty(value = "更新人")
    @JsonIgnore
    private String updateBy;

}
