package com.huaxu.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.huaxu.dto.DevicePressReportAttributeDto;
import com.huaxu.dto.DeviceReportDto;
import com.huaxu.dto.DeviceWaterReportAttributeDto;
import com.huaxu.dto.ReportDto;
import com.huaxu.entity.SceneEntity;
import com.huaxu.model.LoginUser;
import com.huaxu.util.UserUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@Service
public class ReportService {
    @Autowired
    private DayReportService dayReportService;
    @Autowired
    private MonthReportService monthReportService;
    @Autowired
    private YearReportService yearReportService;

    /**
     * 查询日报月报及年报表
     *
     * @param ids
     * @param year
     * @param month
     * @param day
     * @param reportType
     */
    public IPage<ReportDto> getReportBySceneIds(IPage<ReportDto> page, Long[] ids, Integer year, Integer month, Integer day, Integer reportType) {
        Page<ReportDto> reportPage = new Page<>();
        if (reportType.equals(0))//日报
        {
            reportPage = dayReportService.findPage(page, ids, year, month, day);
        }
        if (reportType.equals(1))//月报
        {
            reportPage = monthReportService.findPage(page, ids, year, month, day);
        }
        if (reportType.equals(2))//年报
        {
            reportPage = yearReportService.findPage(page, ids, year, month, day);
        }
        return reportPage;
    }

    public IPage<DevicePressReportAttributeDto> getDevicePressReportByDeviceIds(IPage<DevicePressReportAttributeDto> page, Long[] ids, Integer year, Integer month, Integer day, Integer reportType, Integer type) {
        Page<DevicePressReportAttributeDto> reportPage = new Page<>();
        if (reportType.equals(0))//日报
        {
            reportPage = dayReportService.findDevicePressPage(page, ids, year, month, day,type);
        }
        if (reportType.equals(1))//月报
        {
            reportPage = monthReportService.findDevicePressPage(page, ids, year, month, day,type);
        }
        if (reportType.equals(2))//年报
        {
            reportPage = yearReportService.findDevicePressPage(page, ids, year, month, day,type);
        }
        return reportPage;
    }

    public IPage<DeviceWaterReportAttributeDto> getDevicWaterReportByDeviceIds(IPage<DeviceWaterReportAttributeDto> page, Long[] ids, Integer year, Integer month, Integer day, Integer reportType) {
        Page<DeviceWaterReportAttributeDto> reportPage = new Page<>();
        if (reportType.equals(0))//日报
        {
            reportPage = dayReportService.findDeviceWaterPage(page, ids, year, month, day);
        }
        if (reportType.equals(1))//月报
        {
            reportPage = monthReportService.findDeviceWaterPage(page, ids, year, month, day);
        }
        if (reportType.equals(2))//年报
        {
            reportPage = yearReportService.findDeviceWaterPage(page, ids, year, month, day);
        }
        return reportPage;
    }
}
