package com.huaxu.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huaxu.dto.OperateLogDto;
import com.huaxu.dto.QueryCondition;
import com.huaxu.entity.Dict;
import com.huaxu.entity.UserRegister;
import com.huaxu.model.AjaxMessage;
import com.huaxu.model.ResultStatus;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;

import java.util.List;

/**
 * 用户注册(UserRegister)表数据库访问层
 *
 * @author yjy
 * @since 2020-10-29
 */
@Mapper
public interface UserRegisterMapper {

    /**
     * 新增数据
     *
     * @param userRegister 实例对象
     * @return 影响行数
     */
    int insert(UserRegister userRegister);


    /**
     * 通过主键删除数据
     *
     * @param ids 主键
     * @return 影响行数
     */
    int deleteById(@Param("ids") Long[] ids);

    /**
     * 分页查询
     *
     * @return 对象列表
     */
    IPage<UserRegister> selectPage(IPage<UserRegister> page, UserRegister userRegister);

    /**
     * 通过ids条件查询
     *
     * @param queryCondition 实例对象
     * @return 对象列表
     */
    List<UserRegister> selectListByCondition(QueryCondition queryCondition);

}